using System.ComponentModel;
using VeterinaryDataModels.Models;

namespace VeterinaryContracts.ViewModels
{
    public class VisitViewModel : IVisitModel
	{
		public int Id { get; set; }
		public int OwnerId { get; set; }
		public int DoctorId { get; set; }
		[DisplayName("Название визита")]
		public string VisitName { get; set; } = string.Empty;
		[DisplayName("Врач")]
		public string DoctorName { get; set; } = string.Empty;
		[DisplayName("Дата посещения")]
		public DateTime DateVisit { get; set; }
		public Dictionary<int, IPetModel> VisitPet { get; set; } = new();
	}
}
